package net.cobem.grizzly.communication.composers.user;

import net.cobem.grizzly.communication.EventResponse;
import net.cobem.grizzly.communication.HeaderLibrary;
import net.cobem.grizzly.habbohotel.users.User;

public class SendUserProfileComposer {
    public static EventResponse compose(User Habbo, boolean IsFriend, boolean Online) {
        EventResponse Message = new EventResponse();

        Message.Initialize(HeaderLibrary.InitializeProfileEvent);
        Message.addInt(Habbo.getID());
        Message.addString(Habbo.getUsername());
        Message.addString(Habbo.getLook());
        Message.addString(Habbo.getMotto());
        Message.addString(Habbo.getLastOnline());
        Message.addInt(0);            // Achievement Score
        Message.addInt(Habbo.getMessenger().GrabFriends().size());
        Message.addBool(IsFriend);
        Message.addBool(false);
        Message.addBool(Online);         // ?
        Message.addInt(0);

        Message.addInt(0);
        Message.addBool(true); // enable profile

        return Message;
    }
}
